---
title: "查询市场列表"
description: "查询市场的列表数据。"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/market/query-market-list'
  md: 'https://developer.shopline.com/zh-hans-cn/docs/admin-rest-api/market/query-market-list.md'
---
# 查询市场列表

查询市场的列表数据。

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_markets`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /markets.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。

## Required Permissions

* `read_markets`

## Request

### Query Parameters

* `limit`

  integer (optional)

  查询数量限制。
  
  默认值：`50`
  
  取值范围：0-100

* `page_info`

  string (optional)

  分页查询的唯一标识，用于定位特定页面。
  
  该字段值需要在你已经查询完分页信息后，在该接口响应头中的 `link` 字段值中获取。例如，你获取到的 `link` 的值为 `<https://{handle}.myshopline.com/admin/openapi/{version}/markets.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel="next"` ，那么 `page_info` 的值为 `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` 。
  
  关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。

### Request Headers

* `Content-Type`

  string (required)

  字段值固定为 `application/json; charset=utf-8`。

* `Authorization`

  string (required)

  资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。

## Response

### Status Codes

* `200`

  更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。

* `401`

  

* `429`

  

* `500`

  

### Response Headers

* `link`

  提供分页数据的 URL 链接。你可以获取该字段值中的 `page_info` 信息用于下一次分页请求中。
  
  当你请求的页面存在上一页或下一页的时候，该字段会被返回。关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。

* `traceId`

  请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。

### Response Body

#### 200

* `markets`

  array<object>

  市场列表。

  * `web_presence`

    object

    市场的域名配置。

    * `alternate_locales`

      array<string>

      备用区域，指一个市场支持的额外语言或地区版本。

    * `default_locale`

      string

      默认区域，指一个市场的主要语言或地区版本，通常是用户访问该市场时显示的默认内容。

    * `root_urls`

      array<object>

      区域根域名列表。

      * `locale`

        string

        区域。

      * `url`

        string

        对应店铺的域名。

    * `subfolder_suffix`

      string

      子文件夹特定后缀，用于在 URL 中区分不同语言或地区的内容。

  * `currency_settings`

    object

    商家店铺售卖商品时所标注的售价币种的设置。

    * `base_currency`

      object

      商家店铺售卖商品时所标注的售价币种设置的具体信息。

      * `exchange_rate`

        string

        美元兑换目标币种的汇率。当 `auto_exchange_rate` 为 `false` 时，才有值。

      * `rate_updated_at`

        string

        表示系统更新自动汇率的时间，时间格式遵循  [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) 国际标准，例如：`2019-09-07T15:50:00Z`。

      * `auto_exchange_rate`

        boolean

        表示系统是否自动更新汇率。
        
        - `true`：系统自动更新汇率
        - `false`：商家手动更新汇率

      * `currency_code`

        string

        商家店铺售卖商品时所标注的售价币种。该字段值为三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准，例如：`USD`。

      * `currency_name`

        string

        商家店铺售卖商品时所标注的售价币种名称。

    * `local_currencies`

      boolean

      是否启用本地币种。
      
      - `true`：启用本地币种
      - `false`：不启用本地币种

  * `enabled`

    boolean

    市场是否可用状态。
    
    - `true`：启用状态
    - `fasle`：禁用状态

  * `market_id`

    string

    市场的唯一标识 ID。

  * `market_name`

    string

    市场的名称。

  * `price_list`

    object

    市场的商品价格信息。

    * `parent`

      object

      市场的商品价格调整详情。

      * `adjustment`

        object

        市场的商品价格相对于默认价格的调整配置。

  * `primary`

    boolean

    是否为主要市场。
    - `true`：是主要市场
    - `false`：不是主要市场

  * `regions`

    array<object>

    市场的国家信息。

    * `code`

      string

      对应市场的国家地区码。遵循 [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) 国际标准的二位国家或区域码，用于识别市场所在的国家或地区。例如：`US`。

    * `currency`

      object

      订单币种信息。

      * `currency_code`

        string

        订单币种。该字段值为三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准，例如：`USD`。


#### 401

* `errors`

  string

  错误描述。


#### 429

* `errors`

  string

  错误描述。


#### 500

* `errors`

  string

  错误描述。


## OpenAPI Definition

```json
{
  "description": "查询市场的列表数据。",
  "externalDocs": {
    "description": "接口使用的权限点: `read_markets` ，更多权限点使用信息，请参考:",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=zh-hans-cn",
    "errorTableDescription": ""
  },
  "operationId": "U8zovVnn",
  "parameters": [
    {
      "name": "limit",
      "in": "query",
      "description": "查询数量限制。\n\n默认值：`50`\n\n取值范围：0-100",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "limit",
        "description": "查询数量限制。\n\n默认值：`50`\n\n取值范围：0-100",
        "type": "integer",
        "example": 2
      },
      "example": 2,
      "examples": {
        "查询市场列表，指定返回结果个数。": {
          "value": "2"
        }
      }
    },
    {
      "name": "page_info",
      "in": "query",
      "description": "分页查询的唯一标识，用于定位特定页面。\n\n该字段值需要在你已经查询完分页信息后，在该接口响应头中的 `link` 字段值中获取。例如，你获取到的 `link` 的值为 `<https://{handle}.myshopline.com/admin/openapi/{version}/markets.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"` ，那么 `page_info` 的值为 `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9` 。\n\n关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。",
      "style": "form",
      "explode": true,
      "schema": {
        "name": "page_info",
        "description": "分页查询的唯一标识，用于定位特定页面。\n\n该字段值需要在你已经查询完分页信息后，在该接口响应头中的 `link` 字段值中获取。例如，你获取到的 `link` 的值为 `<https://{handle}.myshopline.com/admin/openapi/{version}/products/products.json?limit=1&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"next\"`，那么 `page_info` 的值为 `eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9`。\n关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。",
        "type": "string",
        "example": ""
      },
      "example": "",
      "examples": {
        "查询市场列表，指定返回结果个数。": {
          "value": "null"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "字段值固定为 `application/json; charset=utf-8`。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": "资源的访问令牌。参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入。",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": "资源的访问令牌。请参考 [应用授权](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/app-authorization.md?lang=zh-hans-cn) 获取访问令牌，然后将获取到的访问令牌以 Bearer 格式传入",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "更多状态码信息，参考 [HTTP 状态码](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/http-status-code.md?lang=zh-hans-cn)。",
      "headers": {
        "link": {
          "description": "提供分页数据的 URL 链接。你可以获取该字段值中的 `page_info` 信息用于下一次分页请求中。\n\n当你请求的页面存在上一页或下一页的时候，该字段会被返回。关于更多如何使用分页信息，请参考 [分页机制](https://developer.shopline.com/zh-hans-cn/docs/apps/api-instructions-for-use/paging-mechanism.md)。",
          "example": "<https://{handle}.myshopline.com/admin/openapi/{version}/markets.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJuZXh0IiwibGltaXQiOjF9>; rel=\"previous\",<https://{handle}.myshopline.com/admin/openapi/{version}/markets.json?limit=20&page_info=eyJzaW5jZUlkIjoiMTYwNTc1OTAxNTM4OTA4Mjk1MjExMTI3ODgiLCJkaXJlY3Rpb24iOiJwcmUiLCJsaW1pdCI6MX0=>; rel=\"next\""
        },
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "markets": {
                "name": "markets",
                "description": "市场列表。",
                "type": "array",
                "items": {
                  "name": "markets",
                  "description": "市场列表。",
                  "type": "object",
                  "properties": {
                    "web_presence": {
                      "name": "web_presence",
                      "description": "市场的域名配置。",
                      "type": "object",
                      "properties": {
                        "alternate_locales": {
                          "name": "alternate_locales",
                          "description": "备用区域，指一个市场支持的额外语言或地区版本。",
                          "type": "array",
                          "items": {
                            "name": "alternate_locales",
                            "description": "备用区域，指一个市场支持的额外语言或地区版本。",
                            "type": "string",
                            "example": "[\"us\"]"
                          },
                          "example": [
                            "[\"us\"]"
                          ]
                        },
                        "default_locale": {
                          "name": "default_locale",
                          "description": "默认区域，指一个市场的主要语言或地区版本，通常是用户访问该市场时显示的默认内容。",
                          "type": "string",
                          "example": "us"
                        },
                        "root_urls": {
                          "name": "root_urls",
                          "description": "区域根域名列表。",
                          "type": "array",
                          "items": {
                            "name": "root_urls",
                            "description": "区域根域名列表。",
                            "type": "object",
                            "properties": {
                              "locale": {
                                "name": "locale",
                                "description": "区域。",
                                "type": "string",
                                "example": "us"
                              },
                              "url": {
                                "name": "url",
                                "description": "对应店铺的域名。",
                                "type": "string",
                                "example": "https://myshopline.com"
                              }
                            },
                            "example": {
                              "url": "https://myshopline.com",
                              "locale": "us"
                            }
                          },
                          "example": [
                            {
                              "locale": "us",
                              "url": "https://myshopline.com"
                            }
                          ]
                        },
                        "subfolder_suffix": {
                          "name": "subfolder_suffix",
                          "description": "子文件夹特定后缀，用于在 URL 中区分不同语言或地区的内容。",
                          "type": "string",
                          "example": "suffix"
                        }
                      },
                      "example": {
                        "default_locale": "us",
                        "root_urls": [
                          {
                            "locale": "us",
                            "url": "https://myshopline.com"
                          }
                        ],
                        "subfolder_suffix": "suffix",
                        "alternate_locales": [
                          "[\"us\"]"
                        ]
                      }
                    },
                    "currency_settings": {
                      "name": "currency_settings",
                      "description": "商家店铺售卖商品时所标注的售价币种的设置。",
                      "type": "object",
                      "properties": {
                        "base_currency": {
                          "name": "base_currency",
                          "description": "商家店铺售卖商品时所标注的售价币种设置的具体信息。",
                          "type": "object",
                          "properties": {
                            "exchange_rate": {
                              "name": "exchange_rate",
                              "description": "美元兑换目标币种的汇率。当 `auto_exchange_rate` 为 `false` 时，才有值。",
                              "type": "string",
                              "example": "1.01234567891"
                            },
                            "rate_updated_at": {
                              "name": "rate_updated_at",
                              "description": "表示系统更新自动汇率的时间，时间格式遵循  [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) 国际标准，例如：`2019-09-07T15:50:00Z`。",
                              "type": "string",
                              "example": "2019-09-07T15:50:00Z"
                            },
                            "auto_exchange_rate": {
                              "name": "auto_exchange_rate",
                              "description": "表示系统是否自动更新汇率。\n\n- `true`：系统自动更新汇率\n- `false`：商家手动更新汇率",
                              "type": "boolean",
                              "example": true
                            },
                            "currency_code": {
                              "name": "currency_code",
                              "description": "商家店铺售卖商品时所标注的售价币种。该字段值为三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准，例如：`USD`。",
                              "type": "string",
                              "example": "USD"
                            },
                            "currency_name": {
                              "name": "currency_name",
                              "description": "商家店铺售卖商品时所标注的售价币种名称。",
                              "type": "string",
                              "example": "USD"
                            }
                          },
                          "example": {
                            "currency_name": "USD",
                            "exchange_rate": "1.01234567891",
                            "rate_updated_at": "2019-09-07T15:50:00Z",
                            "auto_exchange_rate": true,
                            "currency_code": "USD"
                          }
                        },
                        "local_currencies": {
                          "name": "local_currencies",
                          "description": "是否启用本地币种。\n\n- `true`：启用本地币种\n- `false`：不启用本地币种",
                          "type": "boolean",
                          "example": true
                        }
                      },
                      "example": {
                        "base_currency": {
                          "auto_exchange_rate": true,
                          "currency_code": "USD",
                          "currency_name": "USD",
                          "exchange_rate": "1.01234567891",
                          "rate_updated_at": "2019-09-07T15:50:00Z"
                        },
                        "local_currencies": true
                      }
                    },
                    "enabled": {
                      "name": "enabled",
                      "description": "市场是否可用状态。\n\n- `true`：启用状态\n- `fasle`：禁用状态",
                      "type": "boolean",
                      "example": true
                    },
                    "market_id": {
                      "name": "market_id",
                      "description": "市场的唯一标识 ID。",
                      "type": "string",
                      "example": "2805657769119556579334"
                    },
                    "market_name": {
                      "name": "market_name",
                      "description": "市场的名称。",
                      "type": "string",
                      "example": "US-MARKET"
                    },
                    "price_list": {
                      "name": "price_list",
                      "description": "市场的商品价格信息。",
                      "type": "object",
                      "properties": {
                        "parent": {
                          "name": "parent",
                          "description": "市场的商品价格调整详情。",
                          "type": "object",
                          "properties": {
                            "adjustment": {
                              "name": "adjustment",
                              "description": "市场的商品价格相对于默认价格的调整配置。",
                              "type": "object",
                              "properties": {
                                "type": {
                                  "name": "type",
                                  "description": "市场的商品价格相对于默认价格的调整类型。\n\n- `PERCENTAGE_INCREASE`：升高\n- `PERCENTAGE_DECREASE`：降低",
                                  "type": "string",
                                  "example": "PERCENTAGE_DECREASE"
                                },
                                "value": {
                                  "name": "value",
                                  "description": "市场的相对价格的调整百分比。\n\n取值范围：0-100",
                                  "type": "float",
                                  "example": 10
                                }
                              },
                              "example": {
                                "type": "PERCENTAGE_DECREASE",
                                "value": 10
                              }
                            }
                          },
                          "example": {
                            "adjustment": {
                              "type": "PERCENTAGE_DECREASE",
                              "value": 10
                            }
                          }
                        }
                      },
                      "example": {
                        "parent": {
                          "adjustment": {
                            "type": "PERCENTAGE_DECREASE",
                            "value": 10
                          }
                        }
                      }
                    },
                    "primary": {
                      "name": "primary",
                      "description": "是否为主要市场。\n- `true`：是主要市场\n- `false`：不是主要市场",
                      "type": "boolean",
                      "example": true
                    },
                    "regions": {
                      "name": "regions",
                      "description": "市场的国家信息。",
                      "type": "array",
                      "items": {
                        "name": "regions",
                        "description": "市场的国家信息。",
                        "type": "object",
                        "properties": {
                          "code": {
                            "name": "code",
                            "description": "对应市场的国家地区码。遵循 [ISO 3166-1](https://www.iso.org/glossary-for-iso-3166.html) 国际标准的二位国家或区域码，用于识别市场所在的国家或地区。例如：`US`。",
                            "type": "string",
                            "example": "US"
                          },
                          "currency": {
                            "name": "currency",
                            "description": "订单币种信息。",
                            "type": "object",
                            "properties": {
                              "currency_code": {
                                "name": "currency_code",
                                "description": "订单币种。该字段值为三位币种码，遵循 [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) 标准，例如：`USD`。",
                                "type": "string",
                                "example": "USD"
                              }
                            },
                            "example": {
                              "currency_code": "USD"
                            }
                          }
                        },
                        "example": {
                          "code": "US",
                          "currency": {
                            "currency_code": "USD"
                          }
                        }
                      },
                      "example": [
                        {
                          "currency": {
                            "currency_code": "USD"
                          },
                          "code": "US"
                        }
                      ]
                    }
                  },
                  "example": {
                    "price_list": {
                      "parent": {
                        "adjustment": {
                          "type": "PERCENTAGE_DECREASE",
                          "value": 10
                        }
                      }
                    },
                    "primary": true,
                    "regions": [
                      {
                        "code": "US",
                        "currency": {
                          "currency_code": "USD"
                        }
                      }
                    ],
                    "web_presence": {
                      "subfolder_suffix": "suffix",
                      "alternate_locales": [
                        "[\"us\"]"
                      ],
                      "default_locale": "us",
                      "root_urls": [
                        {
                          "locale": "us",
                          "url": "https://myshopline.com"
                        }
                      ]
                    },
                    "currency_settings": {
                      "base_currency": {
                        "exchange_rate": "1.01234567891",
                        "rate_updated_at": "2019-09-07T15:50:00Z",
                        "auto_exchange_rate": true,
                        "currency_code": "USD",
                        "currency_name": "USD"
                      },
                      "local_currencies": true
                    },
                    "enabled": true,
                    "market_id": "2805657769119556579334",
                    "market_name": "US-MARKET"
                  }
                },
                "example": [
                  {
                    "market_name": "US-MARKET",
                    "price_list": {
                      "parent": {
                        "adjustment": {
                          "type": "PERCENTAGE_DECREASE",
                          "value": 10
                        }
                      }
                    },
                    "primary": true,
                    "regions": [
                      {
                        "code": "US",
                        "currency": {
                          "currency_code": "USD"
                        }
                      }
                    ],
                    "web_presence": {
                      "alternate_locales": [
                        "[\"us\"]"
                      ],
                      "default_locale": "us",
                      "root_urls": [
                        {
                          "locale": "us",
                          "url": "https://myshopline.com"
                        }
                      ],
                      "subfolder_suffix": "suffix"
                    },
                    "currency_settings": {
                      "base_currency": {
                        "rate_updated_at": "2019-09-07T15:50:00Z",
                        "auto_exchange_rate": true,
                        "currency_code": "USD",
                        "currency_name": "USD",
                        "exchange_rate": "1.01234567891"
                      },
                      "local_currencies": true
                    },
                    "enabled": true,
                    "market_id": "2805657769119556579334"
                  }
                ]
              }
            },
            "example": {
              "markets": [
                {
                  "enabled": true,
                  "market_id": "2805657769119556579334",
                  "market_name": "US-MARKET",
                  "price_list": {
                    "parent": {
                      "adjustment": {
                        "type": "PERCENTAGE_DECREASE",
                        "value": 10
                      }
                    }
                  },
                  "primary": true,
                  "regions": [
                    {
                      "code": "US",
                      "currency": {
                        "currency_code": "USD"
                      }
                    }
                  ],
                  "web_presence": {
                    "default_locale": "us",
                    "root_urls": [
                      {
                        "url": "https://myshopline.com",
                        "locale": "us"
                      }
                    ],
                    "subfolder_suffix": "suffix",
                    "alternate_locales": [
                      "[\"us\"]"
                    ]
                  },
                  "currency_settings": {
                    "base_currency": {
                      "currency_code": "USD",
                      "currency_name": "USD",
                      "exchange_rate": "1.01234567891",
                      "rate_updated_at": "2019-09-07T15:50:00Z",
                      "auto_exchange_rate": true
                    },
                    "local_currencies": true
                  }
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "500": {
      "headers": {
        "traceId": {
          "description": "请求的全局唯一标识符。用于追踪请求在系统中的流转，以便于问题发生时进行定位和调试。"
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "name": "errors",
                "description": "错误描述。",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          },
          "examples": {
            "查询市场列表，指定返回结果个数。": {
              "description": "查询市场列表,指定返回结果个数。",
              "value": {
                "markets": [
                  {
                    "currency_settings": {
                      "base_currency": {
                        "currency_name": "dollar",
                        "exchange_rate": null,
                        "rate_updated_at": "2023-01-11T08:47:53-10:00",
                        "auto_exchange_rate": true,
                        "currency_code": "USD"
                      },
                      "local_currencies": false
                    },
                    "enabled": true,
                    "market_id": "2805653744179656264912",
                    "market_name": "US",
                    "price_list": {
                      "parent": {
                        "adjustment": {
                          "type": "PERCENTAGE_DECREASE",
                          "value": 0
                        }
                      }
                    },
                    "primary": true,
                    "regions": [
                      {
                        "code": "US",
                        "currency": {
                          "currency_code": "USD"
                        }
                      }
                    ],
                    "web_presence": {
                      "root_urls": [
                        {
                          "locale": "en",
                          "url": "https://bing5.myshoplinestg.com"
                        },
                        {
                          "locale": "ar",
                          "url": "https://bing5.myshoplinestg.com/ar"
                        },
                        {
                          "url": "https://bing5.myshoplinestg.com/es",
                          "locale": "es"
                        },
                        {
                          "url": "https://bing5.myshoplinestg.com/fr",
                          "locale": "fr"
                        },
                        {
                          "locale": "ja",
                          "url": "https://bing5.myshoplinestg.com/ja"
                        },
                        {
                          "locale": "ko",
                          "url": "https://bing5.myshoplinestg.com/ko"
                        },
                        {
                          "locale": "pt",
                          "url": "https://bing5.myshoplinestg.com/pt"
                        },
                        {
                          "url": "https://bing5.myshoplinestg.com/pt-pt",
                          "locale": "pt-pt"
                        },
                        {
                          "locale": "zh-hans-cn",
                          "url": "https://bing5.myshoplinestg.com/zh-hans-cn"
                        },
                        {
                          "locale": "zh-hant-tw",
                          "url": "https://bing5.myshoplinestg.com/zh-hant-tw"
                        }
                      ],
                      "subfolder_suffix": null,
                      "alternate_locales": [
                        "ar",
                        "es",
                        "fr",
                        "ja",
                        "ko",
                        "pt",
                        "pt-pt",
                        "zh-hans-cn",
                        "zh-hant-tw"
                      ],
                      "default_locale": "en"
                    }
                  },
                  {
                    "web_presence": {
                      "default_locale": "en",
                      "root_urls": [
                        {
                          "locale": "en",
                          "url": "https://bing5.myshoplinestg.com/en-fr"
                        },
                        {
                          "locale": "ko",
                          "url": "https://bing5.myshoplinestg.com/ko-fr"
                        },
                        {
                          "locale": "pt",
                          "url": "https://bing5.myshoplinestg.com/pt-fr"
                        },
                        {
                          "url": "https://bing5.myshoplinestg.com/pt-pt-fr",
                          "locale": "pt-pt"
                        }
                      ],
                      "subfolder_suffix": "fr",
                      "alternate_locales": [
                        "ko",
                        "pt",
                        "pt-pt"
                      ]
                    },
                    "currency_settings": {
                      "base_currency": {
                        "rate_updated_at": "2024-06-06T06:40:58-09:00",
                        "auto_exchange_rate": true,
                        "currency_code": "EUR",
                        "currency_name": "EUR",
                        "exchange_rate": null
                      },
                      "local_currencies": false
                    },
                    "enabled": true,
                    "market_id": "2805666406954174003208",
                    "market_name": "France",
                    "price_list": {
                      "parent": {
                        "adjustment": {
                          "type": "PERCENTAGE_INCREASE",
                          "value": 10
                        }
                      }
                    },
                    "primary": false,
                    "regions": [
                      {
                        "code": "GB",
                        "currency": {
                          "currency_code": "EUR"
                        }
                      },
                      {
                        "code": "YT",
                        "currency": {
                          "currency_code": "EUR"
                        }
                      },
                      {
                        "code": "FR",
                        "currency": {
                          "currency_code": "EUR"
                        }
                      }
                    ]
                  }
                ]
              }
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/markets.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` ：店铺的唯一标识符，值为店铺域名的前缀。例如，域名为 `open001.myshopline.com` 的店铺，其 `handle` 是 `open001` 。"
        }
      }
    }
  ],
  "info": {
    "title": "查询市场列表",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_markets"
  ]
}
```